package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.RecordRoleAuthMapper;
import com.lz.modules.flow.entity.RecordRoleAuth;
import com.lz.modules.flow.service.RecordRoleAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 权限角色表 服务类
 * </p>
 *
 * @author quyixiao
 * @since 2020-08-18
 */

@Service
public class RecordRoleAuthServiceImpl extends ServiceImpl<RecordRoleAuthMapper, RecordRoleAuth> implements RecordRoleAuthService {


    @Autowired
    private RecordRoleAuthMapper recordRoleAuthMapper;


    @Override
    public RecordRoleAuth selectRecordRoleAuthById(Long id) {
        return recordRoleAuthMapper.selectRecordRoleAuthById(id);
    }


    @Override
    public Long insertRecordRoleAuth(RecordRoleAuth recordRoleAuth) {
        return recordRoleAuthMapper.insertRecordRoleAuth(recordRoleAuth);
    }


    @Override
    public int updateRecordRoleAuthById(RecordRoleAuth recordRoleAuth) {
        return recordRoleAuthMapper.updateRecordRoleAuthById(recordRoleAuth);
    }


    @Override
    public int updateCoverRecordRoleAuthById(RecordRoleAuth recordRoleAuth) {
        return recordRoleAuthMapper.updateCoverRecordRoleAuthById(recordRoleAuth);
    }


    @Override
    public int deleteRecordRoleAuthById(Long id) {
        return recordRoleAuthMapper.deleteRecordRoleAuthById(id);
    }

    @Override
    public List<Long> queryMenuIdList(Long id) {
        return recordRoleAuthMapper.queryMenuIdList(id);
    }

    @Override
    public List<RecordRoleAuth> selectByRoleId(Long roleId) {
        return recordRoleAuthMapper.selectByRoleId(roleId);
    }

    @Override
    public void deleteRecordRoleAuth(Long id) {
        recordRoleAuthMapper.deleteRecordRoleAuth(id);
    }


}
